int latchPin = 8;
int clockPin = 12;
int potPin = A0;
int dataPin = 11;

byte oval[175] = {0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0xff,0x0,0x0,0x0,0x0,0x0,0x3,0xff,0xc0,0x0,0x0,0x0,0x0,0x7,0xff,0xe0,0x0,0x0,0x0,0x0,0x7,0xff,0xe0,0x0,0x0,0x0,0x0,0xf,0xff,0xf0,0x0,0x0,0x0,0x0,0xf,0xff,0xf0,0x0,0x0,0x0,0x0,0x1f,0xff,0xf8,0x0,0x0,0x0,0x0,0x1f,0xff,0xf8,0x0,0x0,0x0,0x0,0x1f,0xff,0xf8,0x0,0x0,0x0,0x0,0x1f,0xff,0xf8,0x0,0x0,0x0,0x0,0x1f,0xff,0xf8,0x0,0x0,0x0,0x0,0x1f,0xff,0xf8,0x0,0x0,0x0,0x0,0x1f,0xff,0xf8,0x0,0x0,0x0,0x0,0xf,0xff,0xf0,0x0,0x0,0x0,0x0,0xf,0xff,0xf0,0x0,0x0,0x0,0x0,0x7,0xff,0xe0,0x0,0x0,0x0,0x0,0x7,0xff,0xe0,0x0,0x0,0x0,0x0,0x3,0xff,0xc0,0x0,0x0,0x0,0x0,0x0,0xff,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0};

void setup()
{
    pinMode(dataPin,  OUTPUT);       //Configure each IO Pin
    pinMode(latchPin,  OUTPUT);
    pinMode(clockPin,  OUTPUT);
    pinMode(potPin,  INPUT);
    Serial.begin(9600);
}

void shifter(byte seq1[],  float timeDelay, int len){
 for (int x = 0; x < len; x++)         
    {
        digitalWrite(latchPin,  LOW);            //start sturen via latchpin
        if(x%7 == 0){
        shiftOut(dataPin,  clockPin,  MSBFIRST,  seq1[x]);         
        shiftOut(dataPin,  clockPin,  MSBFIRST,  seq1[x+1]);  
        shiftOut(dataPin,  clockPin,  MSBFIRST,  seq1[x+2]);      
        shiftOut(dataPin,  clockPin,  MSBFIRST,  seq1[x+3]);        
        shiftOut(dataPin,  clockPin,  MSBFIRST,  seq1[x+4]);  
        shiftOut(dataPin,  clockPin,  MSBFIRST,  seq1[x+5]);      
        shiftOut(dataPin,  clockPin,  MSBFIRST,  seq1[x+6]);  
        shiftOut(dataPin,  clockPin,  MSBFIRST,  seq1[x+7]);   
        }
        digitalWrite(latchPin,  HIGH);           //stop versturen
        delay(timeDelay); 
    } 
    delay(timeDelay*20);
}


void loop() {
    float temp = analogRead(potPin);
    float timeDelay = mapped(temp,  0, 1023,  0,  25);
    
    shifter(oval, timeDelay, 175);
}

float mapped(float x,  float in_min,  float in_max, float out_min, float out_max) {
  return (x - in_min) * (out_max - out_min) / (in_max - in_min) + out_min;
}

